declare module 'vue' {
  export interface GlobalComponents {
    AppLayout: typeof import('../components/layout')['AppLayout'];
    ControlLayout: typeof import('../components/layout')['ControlLayout'];
    ViewLayout: typeof import('../components/layout')['ViewLayout'];
    AppIcon: typeof import('../components/common')['AppIcon'];
    AppToolbar: typeof import('../components/common')['AppToolbar'];
    QuickSearch: typeof import('../components/common')['QuickSearch'];
    // 视图
    IndexView: typeof import('../views')['IndexView'];
    GridView: typeof import('../components/views')['GridView'];
    EditView: typeof import('../components/views')['EditView'];
    // 部件
    AppMenu: typeof import('../components/widgets')['AppMenu'];
    GridControl: typeof import('../components/widgets')['GridControl'];
    FormControl: typeof import('../components/widgets')['FormControl'];
    FormButton: typeof import('../components/widgets')['FormButton'];
    FormDruipart: typeof import('../components/widgets')['FormDRUIPart'];
    FormGroupPanel: typeof import('../components/widgets')['FormGroupPanel'];
    AppFormItem: typeof import('../components/widgets')['FormItem'];
    FormPage: typeof import('../components/widgets')['FormPage'];
    FormRawItem: typeof import('../components/widgets')['FormRawItem'];
    FormTabPage: typeof import('../components/widgets')['FormTabPage'];
    FormTabPanel: typeof import('../components/widgets')['FormTabPanel'];
    EditFormControl: typeof import('../components/widgets')['EditFormControl'];
    SearchFormControl: typeof import('../components/widgets')['SearchFormControl'];
  }
}

export {};
